package com.sunxung.factoring.entity.purchcontractmanagement.vo;

import com.sunxung.factoring.entity.BaseSearch;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPriceRule;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesContractGoodsInfo;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementGoodsInfo;

import java.util.List;

public class SearchGoods extends BaseSearch {
    private Long businessKey;
    private String taskId;
    private Long salesContractBasicInfoId;
    private String businessNumber;

    private List<SalesContractSupplementGoodsInfo> salesContractSupplementGoodsInfos;
    private PurchContractPriceRule priceRule;

    public List<SalesContractSupplementGoodsInfo> getSalesContractSupplementGoodsInfos() {
        return salesContractSupplementGoodsInfos;
    }

    public void setSalesContractSupplementGoodsInfos(List<SalesContractSupplementGoodsInfo> salesContractSupplementGoodsInfos) {
        this.salesContractSupplementGoodsInfos = salesContractSupplementGoodsInfos;
    }

    public PurchContractPriceRule getPriceRule() {
        return priceRule;
    }

    public void setPriceRule(PurchContractPriceRule priceRule) {
        this.priceRule = priceRule;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getSalesContractBasicInfoId() {
        return salesContractBasicInfoId;
    }

    public void setSalesContractBasicInfoId(Long salesContractBasicInfoId) {
        this.salesContractBasicInfoId = salesContractBasicInfoId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
}